package com.ruoyi.web.v3.service;

import com.baomidou.mybatisplus.extension.service.IService;
import com.ruoyi.common.core.domain.AjaxResult;
import com.ruoyi.web.v3.entity.HbRiskCheckWeeklyEntity;
import com.ruoyi.web.v3.model.request.HbRiskCheckWeeklyPageReq;

/**
 * <p>
 * v3.0 隐患风险点检记录（日次） 服务类
 * </p>
 */
public interface IHbRiskCheckWeeklyService extends IService<HbRiskCheckWeeklyEntity> {

    AjaxResult add(HbRiskCheckWeeklyEntity request);

    AjaxResult edit(HbRiskCheckWeeklyEntity request);

    AjaxResult delete(String ids);

    AjaxResult page(HbRiskCheckWeeklyPageReq request);

    AjaxResult listAll();
}
